/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.area;

import nl.cloudfarming.eventbus.GuiEventKey;

/**
 * eventbus eventkey for area events
 *
 * @author Timon Veenstra
 */
public enum AreaEventKey implements GuiEventKey {

    /**
     * new plots have been imported
     */
    PLOTS_IMPORTED,
    /**
     * new cultures have been imported
     */
    CULTURES_IMPORTED,
    /**
     * Data of a plot have been updated, event should contain updated plot
     */
    PLOT_UPDATE,
    /**
     *Data of a culture have been updated, event should contain updated culture
     */
    CULTURE_UPDATE;

    @Override
    public String getKey() {
        return this.toString();
    }
}
